libqxp::CharFormat Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libqxp::CharFormat Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions
| CharFormat ()

## Public Attributes
librevenge::RVNGString | fontName
double | fontSize
double | baselineShift
Color | color
bool | bold
bool | italic
bool | underline
bool | outline
bool | shadow
bool | superscript
bool | subscript
bool | superior
bool | strike
bool | allCaps
bool | smallCaps
bool | wordUnderline
bool | isControlChars

## Constructor & Destructor Documentation

## ◆ CharFormat()

libqxp::CharFormat::CharFormat | ( |  | ) |
| inline

## Member Data Documentation

## ◆ allCaps

bool libqxp::CharFormat::allCaps

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

## ◆ baselineShift

double libqxp::CharFormat::baselineShift

Referenced by CharFormat(), libqxp::QXP33Parser::parseCharFormat(), and libqxp::QXP4Parser::parseCharFormat().

## ◆ bold

bool libqxp::CharFormat::bold

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

## ◆ color

Color libqxp::CharFormat::color

Referenced by CharFormat(), libqxp::QXP1Parser::parseCharFormat(), libqxp::QXP33Parser::parseCharFormat(), and libqxp::QXP4Parser::parseCharFormat().

## ◆ fontName

librevenge::RVNGString libqxp::CharFormat::fontName

Referenced by CharFormat(), libqxp::QXP1Parser::parseCharFormat(), and libqxp::QXPParser::parseCommonCharFormatProps().

## ◆ fontSize

double libqxp::CharFormat::fontSize

Referenced by CharFormat(), libqxp::QXP1Parser::parseCharFormat(), and libqxp::QXPParser::parseCommonCharFormatProps().

## ◆ isControlChars

bool libqxp::CharFormat::isControlChars

Referenced by CharFormat(), libqxp::QXP33Parser::parseCharFormat(), and libqxp::QXP4Parser::parseCharFormat().

## ◆ italic

bool libqxp::CharFormat::italic

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

## ◆ outline

bool libqxp::CharFormat::outline

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

## ◆ shadow

bool libqxp::CharFormat::shadow

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

## ◆ smallCaps

bool libqxp::CharFormat::smallCaps

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

## ◆ strike

bool libqxp::CharFormat::strike

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

## ◆ subscript

bool libqxp::CharFormat::subscript

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

## ◆ superior

bool libqxp::CharFormat::superior

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

## ◆ superscript

bool libqxp::CharFormat::superscript

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

## ◆ underline

bool libqxp::CharFormat::underline

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

## ◆ wordUnderline

bool libqxp::CharFormat::wordUnderline

Referenced by CharFormat(), and libqxp::QXPParser::convertCharFormatFlags().

The documentation for this struct was generated from the following file:

- QXPTypes.h